/*  jview : Image viewer
 *  Copyright (C) 1998 david Ramboz
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __JPEG_H__
#define __JPEG_H__

#include <config.h>
#include "image.h"

#ifdef HAVE_LIBJPEG

void        register_jpeg();
gint        is_jpeg( Image *image);
gint        jpeg_read_headers( Image *image);
gint        jpeg_read( Image *image);



#endif /* HAVE_LIBJPEG */
#endif /* __JPEG_H__ */
